<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE DDDB SYSTEM "../../DTD/geometry.dtd">
<DDDB>
 <logvol name="lvRich1Mirror1Q0A" material="RichMaterials/Rich1MirrorGlassPyrex">
     <subtraction name="Rich1Mirror1Q0ACut">
      <sphere name="Rich1Mirror1Q0A"
         outerRadius ="Rh1Mirror1OuterR"
         innerRadius ="Rh1Mirror1InnerR"
         startPhiAngle = "Rh1Mirror1SinglePhiSegmentStart"
         deltaPhiAngle = "Rh1Mirror1SingleDeltaPhi"
         startThetaAngle = "Rh1Mirror1ASingleThetaSegmentStart"
         deltaThetaAngle = "Rh1Mirror1ASingleDeltaTheta" />
      <cons name="Rich1Mirror1BeamPipeConeQ0A"
           sizeZ="Rh1Mirror1BeamPipeConeZSize"
           outerRadiusPZ="Rh1Mirror1BeamPipeConeOuterRad2"
           outerRadiusMZ="Rh1Mirror1BeamPipeConeOuterRad1"  />
           <posXYZ  x="Rh1Mirror1BeamPipeConeX" 
                    y="Rh1Mirror1BeamPipeConeYQ0A"
                    z="Rh1Mirror1BeamPipeConeZQ0A" />
           <rotXYZ  rotY="Rh1Mirror1HoleYRot"   />
    </subtraction>
 </logvol>

 <logvol name="lvRich1Mirror1BeQ0A" material="RichMaterials/Rich1MirrorBeryllium">
     <subtraction name="Rich1Mirror1BeQ0ACut">
      <sphere name="Rich1Mirror1BeQ0A"
         outerRadius ="Rh1Mirror1BeOuterR"
         innerRadius ="Rh1Mirror1BeInnerR"
         startPhiAngle = "Rh1Mirror1SinglePhiSegmentStart"
         deltaPhiAngle = "Rh1Mirror1SingleDeltaPhi"
         startThetaAngle = "Rh1Mirror1ASingleThetaSegmentStart"
         deltaThetaAngle = "Rh1Mirror1ASingleDeltaTheta" />
      <cons name="Rich1Mirror1BeBeamPipeConeQ0A"
           sizeZ="Rh1Mirror1BeamPipeConeZSize"
           outerRadiusPZ="Rh1Mirror1BeamPipeConeOuterRad2"
           outerRadiusMZ="Rh1Mirror1BeamPipeConeOuterRad1"  />
           <posXYZ  x="Rh1Mirror1BeamPipeConeX" 
                    y="Rh1Mirror1BeamPipeConeYQ0A"
                    z="Rh1Mirror1BeamPipeConeZQ0A" />
           <rotXYZ  rotY="Rh1Mirror1HoleYRot"   />
    </subtraction>
 </logvol>

 <logvol name="lvRich1Mirror1Q1A" material="RichMaterials/Rich1MirrorGlassPyrex">
     <subtraction name="Rich1Mirror1Q1ACut">
      <sphere name="Rich1Mirror1Q1A"
         outerRadius ="Rh1Mirror1OuterR"
         innerRadius ="Rh1Mirror1InnerR"
         startPhiAngle = "Rh1Mirror1SinglePhiSegmentStart"
         deltaPhiAngle = "Rh1Mirror1SingleDeltaPhi"
         startThetaAngle = "Rh1Mirror1ASingleThetaSegmentStart"
         deltaThetaAngle = "Rh1Mirror1ASingleDeltaTheta" />
      <cons name="Rich1Mirror1BeamPipeConeQ1A"
           sizeZ="Rh1Mirror1BeamPipeConeZSize"
           outerRadiusPZ="Rh1Mirror1BeamPipeConeOuterRad2"
           outerRadiusMZ="Rh1Mirror1BeamPipeConeOuterRad1"  />
           <posXYZ  x="Rh1Mirror1BeamPipeConeX" 
                    y="Rh1Mirror1BeamPipeConeYQ1A"
                    z="Rh1Mirror1BeamPipeConeZQ1A" />
           <rotXYZ  rotY="Rh1Mirror1HoleYRot"   />
    </subtraction>
 </logvol>

 <logvol name="lvRich1Mirror1BeQ1A" material="RichMaterials/Rich1MirrorBeryllium">
     <subtraction name="Rich1Mirror1BeQ1ACut">
      <sphere name="Rich1Mirror1BeQ1A"
         outerRadius ="Rh1Mirror1BeOuterR"
         innerRadius ="Rh1Mirror1BeInnerR"
         startPhiAngle = "Rh1Mirror1SinglePhiSegmentStart"
         deltaPhiAngle = "Rh1Mirror1SingleDeltaPhi"
         startThetaAngle = "Rh1Mirror1ASingleThetaSegmentStart"
         deltaThetaAngle = "Rh1Mirror1ASingleDeltaTheta" />
      <cons name="Rich1Mirror1BeBeamPipeConeQ1A"
           sizeZ="Rh1Mirror1BeamPipeConeZSize"
           outerRadiusPZ="Rh1Mirror1BeamPipeConeOuterRad2"
           outerRadiusMZ="Rh1Mirror1BeamPipeConeOuterRad1"  />
           <posXYZ  x="Rh1Mirror1BeamPipeConeX" 
                    y="Rh1Mirror1BeamPipeConeYQ1A"
                    z="Rh1Mirror1BeamPipeConeZQ1A" />
           <rotXYZ  rotY="Rh1Mirror1HoleYRot"   />
    </subtraction>
 </logvol>


 <logvol name="lvRich1Mirror1Q2A" material="RichMaterials/Rich1MirrorGlassPyrex">
     <subtraction name="Rich1Mirror1Q2ACut">
      <sphere name="Rich1Mirror1Q2A"
         outerRadius ="Rh1Mirror1OuterR"
         innerRadius ="Rh1Mirror1InnerR"
         startPhiAngle = "Rh1Mirror1SinglePhiSegmentStart"
         deltaPhiAngle = "Rh1Mirror1SingleDeltaPhi"
         startThetaAngle = "Rh1Mirror1ASingleThetaSegmentStart"
         deltaThetaAngle = "Rh1Mirror1ASingleDeltaTheta" />
      <cons name="Rich1Mirror1BeamPipeConeQ2A"
           sizeZ="Rh1Mirror1BeamPipeConeZSize"
           outerRadiusPZ="Rh1Mirror1BeamPipeConeOuterRad2"
           outerRadiusMZ="Rh1Mirror1BeamPipeConeOuterRad1"  />
           <posXYZ  x="Rh1Mirror1BeamPipeConeX" 
                    y="Rh1Mirror1BeamPipeConeYQ2A"
                    z="Rh1Mirror1BeamPipeConeZQ2A" />
           <rotXYZ  rotY="Rh1Mirror1HoleYRot"   />
    </subtraction>
 </logvol>

 <logvol name="lvRich1Mirror1BeQ2A" material="RichMaterials/Rich1MirrorBeryllium">
     <subtraction name="Rich1Mirror1BeQ2ACut">
      <sphere name="Rich1Mirror1BeQ2A"
         outerRadius ="Rh1Mirror1BeOuterR"
         innerRadius ="Rh1Mirror1BeInnerR"
         startPhiAngle = "Rh1Mirror1SinglePhiSegmentStart"
         deltaPhiAngle = "Rh1Mirror1SingleDeltaPhi"
         startThetaAngle = "Rh1Mirror1ASingleThetaSegmentStart"
         deltaThetaAngle = "Rh1Mirror1ASingleDeltaTheta" />
      <cons name="Rich1Mirror1BeBeamPipeConeQ2A"
           sizeZ="Rh1Mirror1BeamPipeConeZSize"
           outerRadiusPZ="Rh1Mirror1BeamPipeConeOuterRad2"
           outerRadiusMZ="Rh1Mirror1BeamPipeConeOuterRad1"  />
           <posXYZ  x="Rh1Mirror1BeamPipeConeX" 
                    y="Rh1Mirror1BeamPipeConeYQ2A"
                    z="Rh1Mirror1BeamPipeConeZQ2A" />
           <rotXYZ  rotY="Rh1Mirror1HoleYRot"   />
    </subtraction>
 </logvol>


<logvol name="lvRich1Mirror1Q3A" material="RichMaterials/Rich1MirrorGlassPyrex">
     <subtraction name="Rich1Mirror1Q3ACut">
      <sphere name="Rich1Mirror1Q3A"
         outerRadius ="Rh1Mirror1OuterR"
         innerRadius ="Rh1Mirror1InnerR"
         startPhiAngle = "Rh1Mirror1SinglePhiSegmentStart"
         deltaPhiAngle = "Rh1Mirror1SingleDeltaPhi"
         startThetaAngle = "Rh1Mirror1ASingleThetaSegmentStart"
         deltaThetaAngle = "Rh1Mirror1ASingleDeltaTheta" />
      <cons name="Rich1Mirror1BeamPipeConeQ3A"
           sizeZ="Rh1Mirror1BeamPipeConeZSize"
           outerRadiusPZ="Rh1Mirror1BeamPipeConeOuterRad2"
           outerRadiusMZ="Rh1Mirror1BeamPipeConeOuterRad1"  />
           <posXYZ  x="Rh1Mirror1BeamPipeConeX" 
                    y="Rh1Mirror1BeamPipeConeYQ3A"
                    z="Rh1Mirror1BeamPipeConeZQ3A" />
           <rotXYZ  rotY="Rh1Mirror1HoleYRot"   />
    </subtraction>
 </logvol>

 <logvol name="lvRich1Mirror1BeQ3A" material="RichMaterials/Rich1MirrorBeryllium">
     <subtraction name="Rich1Mirror1BeQ3ACut">
      <sphere name="Rich1Mirror1BeQ3A"
         outerRadius ="Rh1Mirror1BeOuterR"
         innerRadius ="Rh1Mirror1BeInnerR"
         startPhiAngle = "Rh1Mirror1SinglePhiSegmentStart"
         deltaPhiAngle = "Rh1Mirror1SingleDeltaPhi"
         startThetaAngle = "Rh1Mirror1ASingleThetaSegmentStart"
         deltaThetaAngle = "Rh1Mirror1ASingleDeltaTheta" />
      <cons name="Rich1Mirror1BeBeamPipeConeQ3A"
           sizeZ="Rh1Mirror1BeamPipeConeZSize"
           outerRadiusPZ="Rh1Mirror1BeamPipeConeOuterRad2"
           outerRadiusMZ="Rh1Mirror1BeamPipeConeOuterRad1"  />
           <posXYZ  x="Rh1Mirror1BeamPipeConeX" 
                    y="Rh1Mirror1BeamPipeConeYQ3A"
                    z="Rh1Mirror1BeamPipeConeZQ3A" />
           <rotXYZ  rotY="Rh1Mirror1HoleYRot"   />
    </subtraction>
 </logvol>


 <logvol name="lvRich1Mirror1B" material="RichMaterials/Rich1MirrorGlassPyrex">
      <sphere name="Rich1Mirror1B"
         outerRadius ="Rh1Mirror1OuterR"
         innerRadius ="Rh1Mirror1InnerR"
         startPhiAngle = "Rh1Mirror1SinglePhiSegmentStart"
         deltaPhiAngle = "Rh1Mirror1SingleDeltaPhi"
         startThetaAngle = "Rh1Mirror1BSingleThetaSegmentStart"
         deltaThetaAngle = "Rh1Mirror1BSingleDeltaTheta" />
 </logvol>

 <logvol name="lvRich1Mirror1BeB" material="RichMaterials/Rich1MirrorQuartz">
      <sphere name="Rich1Mirror1BeB"
         outerRadius ="Rh1Mirror1BeOuterR"
         innerRadius ="Rh1Mirror1BeInnerR"
         startPhiAngle = "Rh1Mirror1SinglePhiSegmentStart"
         deltaPhiAngle = "Rh1Mirror1SingleDeltaPhi"
         startThetaAngle = "Rh1Mirror1BSingleThetaSegmentStart"
         deltaThetaAngle = "Rh1Mirror1BSingleDeltaTheta" />
 </logvol>

 <logvol name="lvRich1Mirror2" material="RichMaterials/Rich1MirrorGlassSimex">
           <sphere name="Rich1Mirror2Sph" 
            outerRadius ="Rh1Mirror2OuterR"
            innerRadius ="Rh1Mirror2InnerR"
            startPhiAngle ="Rh1Mirror2SinglePhiSegmentStart"
            deltaPhiAngle ="Rh1Mirror2SingleDeltaPhi"
            startThetaAngle ="Rh1Mirror2SingleThetaSegmentStart"
            deltaThetaAngle = "Rh1Mirror2SingleDeltaTheta" />
 </logvol>

 <logvol name="lvRich1Mirror1HolderQ0" material="RichMaterials/RichSteel" >
  <subtraction name="Rich1Mirror1HolderCutQ0">
    <box name="Rich1Mirror1HolderOuterBoxQ0" 
        sizeX="Rh1Mirror1HolderOuterBoxXSize"
        sizeY="Rh1Mirror1HolderOuterBoxYSize"
        sizeZ="Rh1Mirror1HolderOuterBoxZSize" />
     <box name="Rich1Mirror1HolderInnerSubBoxQ0"
       sizeX="Rh1Mirror1HolderInnerBoxXLargeSize"
       sizeY="Rh1Mirror1HolderInnerBoxYLargeSize"
       sizeZ="Rh1Mirror1HolderInnerBoxZLargeSize" />
       <posXYZ x="Rh1Mirror1HolderInnerBoxXShiftQ0"
               y="Rh1Mirror1HolderInnerBoxYShiftQ0" />
  </subtraction>
 </logvol>

 <logvol name="lvRich1Mirror1HolderQ1" material="RichMaterials/RichSteel" >
  <subtraction name="Rich1Mirror1HolderCutQ1">
    <box name="Rich1Mirror1HolderOuterBoxQ1" 
        sizeX="Rh1Mirror1HolderOuterBoxXSize"
        sizeY="Rh1Mirror1HolderOuterBoxYSize"
        sizeZ="Rh1Mirror1HolderOuterBoxZSize" />
     <box name="Rich1Mirror1HolderInnerSubBoxQ1"
       sizeX="Rh1Mirror1HolderInnerBoxXLargeSize"
       sizeY="Rh1Mirror1HolderInnerBoxYLargeSize"
       sizeZ="Rh1Mirror1HolderInnerBoxZLargeSize" />
       <posXYZ x="Rh1Mirror1HolderInnerBoxXShiftQ1"
               y="Rh1Mirror1HolderInnerBoxYShiftQ1" />
  </subtraction>
 </logvol>
 <logvol name="lvRich1Mirror1HolderQ2" material="RichMaterials/RichSteel" >
  <subtraction name="Rich1Mirror1HolderCutQ2">
    <box name="Rich1Mirror1HolderOuterBoxQ2" 
        sizeX="Rh1Mirror1HolderOuterBoxXSize"
        sizeY="Rh1Mirror1HolderOuterBoxYSize"
        sizeZ="Rh1Mirror1HolderOuterBoxZSize" />
     <box name="Rich1Mirror1HolderInnerSubBoxQ2"
       sizeX="Rh1Mirror1HolderInnerBoxXLargeSize"
       sizeY="Rh1Mirror1HolderInnerBoxYLargeSize"
       sizeZ="Rh1Mirror1HolderInnerBoxZLargeSize" />
       <posXYZ x="Rh1Mirror1HolderInnerBoxXShiftQ2"
               y="Rh1Mirror1HolderInnerBoxYShiftQ2" />
  </subtraction>
 </logvol>

 <logvol name="lvRich1Mirror1HolderQ3" material="RichMaterials/RichSteel" >
  <subtraction name="Rich1Mirror1HolderCutQ3">
    <box name="Rich1Mirror1HolderOuterBoxQ3" 
        sizeX="Rh1Mirror1HolderOuterBoxXSize"
        sizeY="Rh1Mirror1HolderOuterBoxYSize"
        sizeZ="Rh1Mirror1HolderOuterBoxZSize" />
     <box name="Rich1Mirror1HolderInnerSubBoxQ3"
       sizeX="Rh1Mirror1HolderInnerBoxXLargeSize"
       sizeY="Rh1Mirror1HolderInnerBoxYLargeSize"
       sizeZ="Rh1Mirror1HolderInnerBoxZLargeSize" />
       <posXYZ x="Rh1Mirror1HolderInnerBoxXShiftQ3"
               y="Rh1Mirror1HolderInnerBoxYShiftQ3" />
  </subtraction>
 </logvol>
<logvol name="lvRich1Mirror2Support" material="RichMaterials/Rich1Mirror2SupportMaterial" >
 <box name="Rich1Mirror2SupportBox"
      sizeX="Rh1Mirror2SupXSize"
      sizeY="Rh1Mirror2SupYSize"
      sizeZ=  "Rh1Mirror2SupZSize" />
 </logvol>
 
</DDDB>





